/**
 * process the answer for the CheckUserByMAC call
 * @param answer    result.result.events[iIndex].properties
 */
function checkUserResultHandler(answer) {
    if ('true' === answer.result) {
        RemoteConnectivity.accountAvailable = true;
        
    } else {
        RemoteConnectivity.accountAvailable = false;
    }
    //show account registered hint
    RemoteConnectivity.loginTab.items.getByKey('id_step1Panel').setAccountFound(RemoteConnectivity.accountAvailable);
    RemoteConnectivity.waitWindow.closeWindow();
}

/**
 * process the answer for the ActivateRemoteConnectivity call
 * @param answer    result.result.events[iIndex].properties
 */
function activateResultHandler(answer) {
    if ('true' === answer.result) {
        RemoteConnectivity.remoteConnectivityEnabled = true;
        RemoteConnectivity.accountAvailable = true;
        //save user name in property tree for later use: fire and forgett
        dss.raiseEvent('remote-connectivity', {
            actions : 'saveUserName',
            userName : RemoteConnectivity.userAccount,
        });
        
        //update connected tab
        RemoteConnectivity.connectedTab.items.getByKey('id_statusPanel').updateStatus(RemoteConnectivity.userAccount, sConnected);
        RemoteConnectivity.connectedTab.items.getByKey('id_backupServicePanel').enableBackup();
        RemoteConnectivity.connectedTab.items.getByKey('id_tempAccessPanel').setTempAccess('inactive', RemoteConnectivity.tempLinkValidity, '');
        //reset login tab
        RemoteConnectivity.loginTab.items.getByKey('id_step1Panel').hideAccountHint();
        //switch to connected tab
        RemoteConnectivity.connectedTab.tab.setDisabled(false);
        RemoteConnectivity.tabPanel.setActiveTab(RemoteConnectivity.connectedTab);
        RemoteConnectivity.loginTab.tab.setDisabled(true);
        RemoteConnectivity.checkTempAccess();    
    } else {
        showErrorMsg(sConnectErrorIntro, answer.code, answer.servicecode);
    }
    //close wait dialog
    RemoteConnectivity.waitWindow.closeWindow();
}

/**
 * process the answer for the DeactivateRemoteConnectivity call
 * @param answer    result.result.events[iIndex].properties
 */
function deactivateResultHandler(answer) {
    if ('true' === answer.result) {
        RemoteConnectivity.remoteConnectivityEnabled = false;
        RemoteConnectivity.userAccount = '';
        //save user name in property tree for later use
        dss.raiseEvent('remote-connectivity', {
            actions : 'saveUserName',
            userName : RemoteConnectivity.userAccount,
        });
        //update status display on connected tab
        RemoteConnectivity.connectedTab.items.getByKey('id_statusPanel').updateStatus(RemoteConnectivity.userAccount, sDisconnected);

        //switch to login tab
        RemoteConnectivity.connectedTab.tab.setDisabled(true);
        RemoteConnectivity.loginTab.tab.setDisabled(false);
        RemoteConnectivity.tabPanel.setActiveTab(RemoteConnectivity.loginTab);
        setTimeout('RemoteConnectivity.accountVerification()',500);
    } else {
        showErrorMsg(sDisconnectErrorIntro, answer.code, answer.servicecode);
    }
    //close wait dialog
    RemoteConnectivity.waitWindow.closeWindow();
}

/**
 * process the answer for the ActivateTempLink call
 * @param answer    result.result.events[iIndex].properties
 */
function activateTempLinkResultHandler(answer) {
    if ('true' === answer.result) {
        if (answer.relaylink) {
            sendMail(answer.relaylink, RemoteConnectivity.tempLinkValidity);   
            RemoteConnectivity.checkTempAccess();    
        } else {
            RemoteConnectivity.errorDialog.showWindow(sTempLinkError);
        }
    } else {
        RemoteConnectivity.errorDialog.showWindow(sTempLinkError);
    }
    //close wait dialog
    RemoteConnectivity.waitWindow.closeWindow();
}

/**
 * process the answer for the CheckExistingTempdSConfiguratorLink call
 * @param answer    result.result.events[iIndex].properties
 */
function checkTempLinkHandler(answer) {
    if ('true' === answer.result) {
        RemoteConnectivity.processTempAccessResult(answer.tempLinkExist, answer.expirationTime);
    } else {
        RemoteConnectivity.errorDialog.showWindow("failed to check existance of temp link");
    }
    //close wait dialog
    RemoteConnectivity.waitWindow.closeWindow();                            
}